%global momorel 7
%global qtver 3.3.7
%global kdever 3.5.6
%global kdelibsrel 6m
%global kdebaserel 2m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global templatesver 0.2.0
%global enable_gcc_check_and_hidden_visibility 0
%global md5sum_src0 3f45b5f536575b0a3f2dbd2a7291447e
%global md5sum_src1 eac5226bb0f1b1e1ccbbff149b617de0

Summary: A tool for making greeting cards easily
Name: kreetingkard
Version: 0.7.1
Release: %{momorel}m%{?dist}
License: GPL
URL: http://linux-life.net/program/cc/kde/app/kreetingkard/
Group: Applications/Publishing
%NoSource 0 http://downloads.sourceforge.jp/kreetingkard/18105/%{name}-%{version}.tar.gz %{md5sum_src0}
%NoSource 1 http://downloads.sourceforge.jp/kreetingkard/18013/%{name}_templates-%{templatesver}.tar.gz %{md5sum_src1}
Source2: %{name}-48.png
Patch0: %{name}-%{version}-desktop.patch
Patch1: %{name}-%{version}-gcc41.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: lha
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: kdebase >= %{kdever}-%{kdebaserel}
BuildPreReq: libart_lgpl-devel
BuildPreReq: libpng-devel
BuildPreReq: libidn-devel
BuildPreReq: zlib-devel
BuildPreReq: desktop-file-utils

%description
A tool for making greeting cards easily.

%prep
# clean up kreetingkard_templates
rm -rf %{_builddir}/%{name}_templates-%{templatesver}

%setup -q -b 1

%patch0 -p1 -b .desktop~
%patch1 -p1 -b .gcc41

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

# build kreetingkard_templates
cd %{_builddir}/%{name}_templates-%{templatesver}

./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--disable-rpath

make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# install kreetingkard_templates
cd %{_builddir}/%{name}_templates-%{templatesver}
make install DESTDIR=%{buildroot}

# install icon
mkdir -p %{buildroot}%{_datadir}/icons/crystalsvg/48x48/apps
install -m 644 %{SOURCE2} %{buildroot}%{_datadir}/icons/crystalsvg/48x48/apps/kreetingkard.png

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/crystalsvg/48x48/apps/kreetingkard.png %{buildroot}%{_datadir}/pixmaps/kreetingkard.png

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --add-category Office \
  --add-category KDE \
  --add-category Qt \
  %{buildroot}%{_datadir}/applnk/Office/kreetingkard.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING INSTALL README
%{_bindir}/kreetingkard
%{_datadir}/applications/kde/*.desktop
%{_datadir}/apps/kreetingkard
%{_datadir}/doc/HTML/*/kreetingkard
%{_datadir}/icons/*/*/*/*.png
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/mimelnk/application/*.desktop
%{_datadir}/pixmaps/kreetingkard.png

%changelog
* Sun Mar 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.1-7m)
- update desktop.patch (add DocPath)

* Sat Sep 16 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.1-6m)
- remove Application from Categories of desktop file

* Sat Sep  9 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.7.1-5m)
- rebuild against kdelibs-3.5.4-3mkdebase-3.5.4-11m

* Fri Mar 17 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.1-4m)
- remove koffice from Requires

* Sat Feb  4 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.1-3m)
- modify %%prep (clean up kreetingkard_templates)

* Sun Jan  1 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.7.1-2m)
- add gcc-4.1 patch
- Patch1: kreetingkard-0.7.1-gcc41.patch

* Tue Dec 20 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.1-1m)
- version 0.7.1

* Sun Dec 18 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.0-1m)
- version 0.7.0
- update kreetingkard_templates to 0.2.0

* Sun Dec 11 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.4-1m)
- version 0.6.4

* Thu Dec  1 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.3-1m)
- version 0.6.3
- merge kreetingkard_templates

* Tue Nov 22 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.2-1m)
- version 0.6.2

* Mon Nov 21 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.1-1m)
- version 0.6.1
- add desktop.patch

* Tue Nov 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.0-5m)
- rebuild against KDE 3.5 RC1

* Thu Sep 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.0-4m)
- add --disable-rpath to configure

* Mon Jun 27 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.0-3m)
- add --with-qt-libraries=%%{qtdir}/lib to configure

* Wed Feb  9 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.0-2m)
- Requires: lha

* Wed Feb  9 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.0-1m)
- initial package
- import Source1: kreetingkard-48.png from UT Extra Packages for Mandrake
